Bug 64807 - [JNLP]building doesn't work on windows
[JNLP]building doesn't work on windows
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
5.x
All All
: P1 (vote)
: 5.x
Assigned To: Jaroslav Tulach
issues@apisupport
5.0-beta-stopper
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 10:33 UTC by pzajac
Modified: 2005-09-27 10:31 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pzajac 2005-09-21 10:33:17 UTC
[20050921-0556]
Steps to reproduce:
1) Create a Module suite
2) Add a module to the module suite 
3) Build JNLP on the module suite

Output:
C:\builds\netbeans\harness\suite.xml:152: The following error occurred while
executing this line:
C:\builds\netbeans\harness\jnlp.xml:175: The following error occurred while
executing this line:
C:\builds\netbeans\harness\common.xml:230: Cannot build JNLP for module
C:\tmp\suite4\build\cluster\modules\org-yourorghere-module3.jar as these files
are in module's NBM, but are not referenced from any path:
Comment 1 Jaroslav Tulach 2005-09-22 16:40:28 UTC
Please verify so I can check it into beta branch. 
 
Checking in antsrc/org/netbeans/nbbuild/MakeJNLP.java;  
/cvs/nbbuild/antsrc/org/netbeans/nbbuild/MakeJNLP.java,v  <--  MakeJNLP.java  
new revision: 1.9; previous revision: 1.8  
done  
Checking in antsrc/org/netbeans/nbbuild/ModuleSelector.java;  
/cvs/nbbuild/antsrc/org/netbeans/nbbuild/ModuleSelector.java,v  <--   
ModuleSelector.java  
new revision: 1.8; previous revision: 1.7  
Comment 2 pzajac 2005-09-23 09:30:26 UTC
verified in trunk
Comment 3 Jaroslav Tulach 2005-09-23 10:18:53 UTC
"Merge of 64807 to 5.0 beta" 
 
 
Checking in antsrc/org/netbeans/nbbuild/MakeJNLP.java; 
/cvs/nbbuild/antsrc/org/netbeans/nbbuild/MakeJNLP.java,v  <--  MakeJNLP.java 
new revision: 1.8.2.1; previous revision: 1.8 
done 
Checking in antsrc/org/netbeans/nbbuild/ModuleSelector.java; 
/cvs/nbbuild/antsrc/org/netbeans/nbbuild/ModuleSelector.java,v  <--  
ModuleSelector.java 
new revision: 1.7.6.1; previous revision: 1.7 
 
Comment 4 Tomas Danek 2005-09-26 12:04:48 UTC
Sorry, I have to reopen:

200509251800, jdk 1.6 ea-b52

jnlp-generate-platform-repository:
C:\Sw\netbeans-5.0dev\harness\suite.xml:152: The following error occurred while
executing this line:
C:\Sw\netbeans-5.0dev\harness\jnlp.xml:91: Cannot build JNLP for module
C:\Sw\netbeans-5.0dev\platform6\modules\org-netbeans-core.jar as these files are
in module's NBM, but are not referenced from any path:
[LICENSE.txt, DISTRIBUTION.txt]
BUILD FAILED (total time: 5 seconds)

Petr told he verified on W2K, to me it does not work on XP. Latest beta affected
too.
Comment 5 Tomas Danek 2005-09-26 12:19:57 UTC
Probably JDK version does not matter - just tried trunk build on 1.5.0_03
Comment 6 pzajac 2005-09-26 12:42:22 UTC
I am able also reproduce it on my win 2k.
Comment 7 pzajac 2005-09-26 13:12:56 UTC
Fix of issue #61551 may cause this. 
Comment 8 Jan Chalupa 2005-09-26 13:42:09 UTC
This has nothing to do with issue #61551. I've added LICENSE.txt and
DISTRIBUTION.txt license files to the root of the platform6 cluster. I didn't
realize this would affect JNLP building.

Just talked with Yarda. He'll fix it in trunk asap. We can put it into the Beta
branch too. Would require a re-spin of the beta bits, of course.
Comment 9 Jaroslav Tulach 2005-09-26 14:17:15 UTC
apisupport/harness/release/jnlp.xml,v  <--  jnlp.xml 
new revision: 1.18 
 
This was caused by addition of new files to "core" module. I hope that the 
test written for issue 64677, would catch this automatically. 
Comment 10 Jaroslav Tulach 2005-09-26 14:18:40 UTC
Integrated to beta:  
apisupport/harness/release/jnlp.xml,v  <--  jnlp.xml 
new revision: 1.15.2.3; 
 
Comment 11 pzajac 2005-09-27 10:31:54 UTC
verified in beta branch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo